Package com.independentsoft.office.drawing

# Class TransformGroup2D

java.lang.Object
com.independentsoft.office.drawing.TransformGroup2D

public class TransformGroup2D extends Object
The Class TransformGroup2D.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransformGroup2D()`
  Instantiates a new transform group2 d.
  `TransformGroup2D​(Extents extents)`
  Instantiates a new transform group2 d.
  `TransformGroup2D​(Offset offset)`
  Instantiates a new transform group2 d.
  `TransformGroup2D​(Offset offset, Extents extents)`
  Instantiates a new transform group2 d.
  `TransformGroup2D​(InternalXMLStreamReader reader)`
  Instantiates a new transform group2 d.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TransformGroup2D`
  `clone()`
  `ChildExtents`
  `getChildExtents()`
  Gets the child extents.
  `ChildOffset`
  `getChildOffset()`
  Gets the child offset.
  `Extents`
  `getExtents()`
  Gets the extents.
  `Offset`
  `getOffset()`
  Gets the offset.
  `int`
  `getRotation()`
  Gets the rotation.
  `boolean`
  `isHorizontalFlip()`
  Checks if is horizontal flip.
  `boolean`
  `isVerticalFlip()`
  Checks if is vertical flip.
  `void`
  `setChildExtents​(ChildExtents childExtents)`
  Sets the child extents.
  `void`
  `setChildOffset​(ChildOffset childOffset)`
  Sets the child offset.
  `void`
  `setExtents​(Extents extents)`
  Sets the extents.
  `void`
  `setHorizontalFlip​(boolean horizontalFlip)`
  Sets the horizontal flip.
  `void`
  `setOffset​(Offset offset)`
  Sets the offset.
  `void`
  `setRotation​(int rotation)`
  Sets the rotation.
  `void`
  `setVerticalFlip​(boolean verticalFlip)`
  Sets the vertical flip.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TransformGroup2D

    public TransformGroup2D()
    Instantiates a new transform group2 d.

  - ### TransformGroup2D

    public TransformGroup2D​(Offset offset)
    Instantiates a new transform group2 d.
    Parameters:
      `offset` - the offset

  - ### TransformGroup2D

    public TransformGroup2D​(Extents extents)
    Instantiates a new transform group2 d.
    Parameters:
      `extents` - the extents

  - ### TransformGroup2D

    public TransformGroup2D​(Offset offset, Extents extents)
    Instantiates a new transform group2 d.
    Parameters:
      `offset` - the offset
      `extents` - the extents

  - ### TransformGroup2D

    public TransformGroup2D​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new transform group2 d.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TransformGroup2D clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isHorizontalFlip

    public boolean isHorizontalFlip()
    Checks if is horizontal flip.
    Returns:
      true, if is horizontal flip

  - ### setHorizontalFlip

    public void setHorizontalFlip​(boolean horizontalFlip)
    Sets the horizontal flip.
    Parameters:
      `horizontalFlip` - the new horizontal flip

  - ### isVerticalFlip

    public boolean isVerticalFlip()
    Checks if is vertical flip.
    Returns:
      true, if is vertical flip

  - ### setVerticalFlip

    public void setVerticalFlip​(boolean verticalFlip)
    Sets the vertical flip.
    Parameters:
      `verticalFlip` - the new vertical flip

  - ### getRotation

    public int getRotation()
    Gets the rotation.
    Returns:
      the rotation

  - ### setRotation

    public void setRotation​(int rotation)
    Sets the rotation.
    Parameters:
      `rotation` - the new rotation

  - ### getExtents

    public Extents getExtents()
    Gets the extents.
    Returns:
      the extents

  - ### setExtents

    public void setExtents​(Extents extents)
    Sets the extents.
    Parameters:
      `extents` - the new extents

  - ### getOffset

    public Offset getOffset()
    Gets the offset.
    Returns:
      the offset

  - ### setOffset

    public void setOffset​(Offset offset)
    Sets the offset.
    Parameters:
      `offset` - the new offset

  - ### getChildExtents

    public ChildExtents getChildExtents()
    Gets the child extents.
    Returns:
      the child extents

  - ### setChildExtents

    public void setChildExtents​(ChildExtents childExtents)
    Sets the child extents.
    Parameters:
      `childExtents` - the new child extents

  - ### getChildOffset

    public ChildOffset getChildOffset()
    Gets the child offset.
    Returns:
      the child offset

  - ### setChildOffset

    public void setChildOffset​(ChildOffset childOffset)
    Sets the child offset.
    Parameters:
      `childOffset` - the new child offset